# ruff: noqa: ANN001, FBT003

"""Functions to facilitate dark mode configuration."""


def darkmode_on(config, pages: list[str]) -> None:
    """Enable dark mode on every page in `pages` using `config`."""
    for page in pages:
        config.set("colors.webpage.darkmode.enabled", True, page)
